[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Not finding my SQLite

From: Julian Foad <julianfoad_at_btopenworld.com>
Date: Mon, 19 Jan 2009 12:28:37 +0000

Julian Foad wrote:
> Justin Erenkrantz wrote:
> > As for your SQLite install (when you passed --with-sqlite) - is
> > /home/julianfoad/include/sqlite3.h present?
>
> Yes, it is.
>
> [[[
> $ ls -d ~/*/sqlite*
> -rwxr-xr-x 1 julianfoad 66265 2008-10-09 18:31 /home/julianfoad/bin/sqlite3
> -rw-r--r-- 1 julianfoad 20608 2008-10-09 18:31 /home/julianfoad/include/sqlite3ext.h
> -rw-r--r-- 1 julianfoad 294402 2008-10-09 18:31 /home/julianfoad/include/sqlite3.h
> drwxr-xr-x 4 julianfoad 4096 2009-01-17 19:02 /home/julianfoad/src/sqlite-3.6.3/
> ]]]

[[[
$ /home/julianfoad/src/subversion-tc2/configure
--prefix=/home/julianfoad/usr/local --enable-maintainer-mode
--disable-mod-activation --with-ssl --without-serf --without-javahl
--with-sqlite=/home/julianfoad
]]]

The fragment of 'config.log' is

[[[
configure:6320: checking sqlite library
configure:6356: checking sqlite3.h usability
configure:6368: gcc -c -g -O -Wall -Wundef -Wendif-labels -Wcast-qual -Wdeclaration-after-statement -Wno-system-headers -Wno-deprecated-declarations -Wno-unreachable-code -pthread -D_LARGEFILE64_SOURCE -DNE_LFS -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I/usr/include -I/usr/include/apr-1 conftest.c >&5
conftest.c:60:21: error: sqlite3.h: No such file or directory
configure:6374: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "subversion"
| #define PACKAGE_TARNAME "subversion"
| #define PACKAGE_VERSION "1.6.0"
| #define PACKAGE_STRING "subversion 1.6.0"
| #define PACKAGE_BUGREPORT "http://subversion.tigris.org/"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define SVN_NEON_0_26 1
| #define SVN_NEON_0_27 1
| #define SVN_NEON_0_28 1
| #define SVN_HAVE_NEON 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sqlite3.h>
configure:6397: result: no
]]]

and the corresponding fragment of 'configure' is

[[[
SQLITE_MINIMUM_VER="3.4.0"
SQLITE_RECOMMENDED_VER="3.6.10"
SQLITE_URL="http://www.sqlite.org/sqlite-amalgamation-${SQLITE_RECOMMENDED_VER}.tar.gz"

  SQLITE_MINIMUM_VER="${SQLITE_MINIMUM_VER}"
  SQLITE_RECOMMENDED_VER="${SQLITE_RECOMMENDED_VER}"
  SQLITE_URL="${SQLITE_URL}"
  SQLITE_PKGNAME="sqlite3"

  ver_str="SQLITE_MINIMUM_VER"
  sqlite_min_major=`expr $ver_str : '\([0-9]*\)'`
  sqlite_min_minor=`expr $ver_str : '[0-9]*\.\([0-9]*\)'`
  sqlite_min_micro=`expr $ver_str : '[0-9]*\.[0-9]*\.\([0-9]*\)'`
  sqlite_min_ver_num=`expr $sqlite_min_major \* 1000000 \
                        \+ $sqlite_min_minor \* 1000 \
                        \+ $sqlite_min_micro`

  { echo "$as_me:$LINENO: checking sqlite library" >&5
echo "$as_me: checking sqlite library" >&6;}

# Check whether --with-sqlite or --without-sqlite was given.
if test "${with_sqlite+set}" = set; then
  withval="$with_sqlite"

    if test "$withval" = "yes" ; then
      { { echo "$as_me:$LINENO: error: --with-sqlite requires an argument." >&5
echo "$as_me: error: --with-sqlite requires an argument." >&2;}
   { (exit 1); exit 1; }; }
    else
      sqlite_dir="$withval"
    fi

    if test -d $sqlite_dir; then

  if test -z "$sqlite_dir"; then
    sqlite_dir=""
    sqlite_include="sqlite3.h"
  else
    sqlite_dir="$sqlite_dir"
    sqlite_include="$sqlite_dir/include/sqlite3.h"
  fi

  if test "${ac_cv_header_sqlite3_h+set}" = set; then
  echo "$as_me:$LINENO: checking for sqlite3.h" >&5
echo $ECHO_N "checking for sqlite3.h... $ECHO_C" >&6
if test "${ac_cv_header_sqlite3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_sqlite3_h" >&5
echo "${ECHO_T}$ac_cv_header_sqlite3_h" >&6
else
  # Is the header compilable?
echo "$as_me:$LINENO: checking sqlite3.h usability" >&5
echo $ECHO_N "checking sqlite3.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <sqlite3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } &&
         { ac_try='test -z "$ac_c_werror_flag"
                         || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; } &&
         { ac_try='test -s conftest.$ac_objext'
  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

ac_header_compiler=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
]]]

In case that helps anyone see what's missing.

- Julian

------------------------------------------------------
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=1034512
Received on 2009-01-19 13:29:05 CET

This is an archived mail posted to the Subversion Dev mailing list.